| Irrlicht 3D Engine |

Classes | Namespaces | Enumerations
IFileArchive.h File Reference
`#include "IReadFile.h"`
`#include "IFileList.h"`

Go to the source code of this file.

## Classes

- class irr::io::IArchiveLoader
    Class which is able to create an archive from a file. More...
- class irr::io::IFileArchive
    The FileArchive manages archives and provides access to files inside them. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::io

    This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...

## Enumerations

- enum irr::io::E_FILE_ARCHIVE_TYPE {
  irr::io::EFAT_ZIP = MAKE_IRR_ID('Z','I','P', 0), irr::io::EFAT_GZIP = MAKE_IRR_ID('g','z','i','p'), irr::io::EFAT_FOLDER = MAKE_IRR_ID('f','l','d','r'), irr::io::EFAT_PAK = MAKE_IRR_ID('P','A','K', 0),
  irr::io::EFAT_NPK = MAKE_IRR_ID('N','P','K', 0), irr::io::EFAT_TAR = MAKE_IRR_ID('T','A','R', 0), irr::io::EFAT_WAD = MAKE_IRR_ID('W','A','D', 0), irr::io::EFAT_UNKNOWN = MAKE_IRR_ID('u','n','k','n')
  }
    Contains the different types of archives. More...
- enum irr::io::EFileSystemType { irr::io::FILESYSTEM_NATIVE = 0, irr::io::FILESYSTEM_VIRTUAL }
    FileSystemType: which Filesystem should be used for e.g. browsing. More...